#include "chdecl.h"
void CH_getformatters_fmtstmt(current, sched, cop)
#define ARGUMENTS 11
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c3;
    case 4: goto c8;
    case 5: goto cb15;
    case 6: goto c16;
    case 7: goto c18;
    case 8: goto c39;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* call 3.0.9 3.0 3.6.1 4 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(9),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(6)DOT(1),
          arguments[3] = DEF(4),
          arguments[3+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* move 3.7 4 */
  (*(REF(3)DOT(7).tsdr)->finalize)(REF(3)DOT(7).value,F_DISCARD,sched);
  REF(3)DOT(7) = REF(4);
  REF(4).tsdr = & dr_bottom;
/* chs_lit 5 , " (" */
  if( !chs_lit(DEF(5)," (") ) goto ch_depletion;
/* merge 3.7 5 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(7),DEF(5),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 6 3.6.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(6)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).value = ch_val;
  REF(6).tsdr = & dr_table;
/* initget 7 6 , 0,0 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(7),DEF(6),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c8:
/* get_or_goto 7 6 , 18 */
  if ((ch_returncode = get_selected_object(DEF(7),DEF(6),sched)) != Normal)
     goto c18;
/* position 8 7 */
  ch_frame = get_selector_frame(DEF(7),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(8).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(8).tsdr = &dr_integer;
/* ile . 8 =(0) , 15 */
  if ( REF(8).value.integer <= 0 ) goto c15;
/* ordenum_lit 9 , 44 */
  REF(9).value.ord_enum = 44;
  REF(9).tsdr = & dr_ord_enumeration;
/* insert 3.7 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
c15:
  current->ip = 5;
cb15:
/* call 3.0.0 3.0 3.1 3.2 3.3 3.4 3.5 7 10 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(0),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(3),
          arguments[5] = DEF(3)DOT(4),
          arguments[6] = DEF(3)DOT(5),
          arguments[7] = DEF(7),
          arguments[8] = DEF(10),
          arguments[8+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c16:
/* merge 3.7 10 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(7),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 8 */
   goto c8;
c18:
/* endget 7 6 */
  end_selector(DEF(7),DEF(6),sched,GET);
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* ordenum_lit 11 , 41 */
  REF(11).value.ord_enum = 41;
  REF(11).tsdr = & dr_ord_enumeration;
/* insert 3.7 11 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ord_case 12 3.6.3 */
  REF(12).value.ord_enum = REF(3)DOT(6)DOT(3).value.variant
    ->info.variant_case;
  REF(12).tsdr = & dr_ord_enumeration;
/* equal . 12 =(10) , 27 */
  if ( REF(12).value.ord_enum == 10 ) goto c27;
/* branch , 36 */
   goto c36;
c27:
/* ordenum_lit 13 , 91 */
  REF(13).value.ord_enum = 91;
  REF(13).tsdr = & dr_ord_enumeration;
/* insert 3.7 13 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* reveal 3.6.3 , 10 */
  if (10 != REF(3)DOT(6)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* copy 14 3.6.3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(6)DOT(3)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val;
  REF(14).tsdr = & dr_table;
/* merge 3.7 14 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(7),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 15 , 93 */
  REF(15).value.ord_enum = 93;
  REF(15).tsdr = & dr_ord_enumeration;
/* insert 3.7 15 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(7),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 36 */
   goto c36;
c36:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c39:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
